<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ba02eb0b-d82d-4d12-92e3-577f463ae18b" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="6264342">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.13" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="1645" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="1645" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="Java University Labs" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/com/company/Main.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="136">
              <caret line="8" selection-start-line="8" selection-end-line="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/lab0/Variant1.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="48">
              <caret line="126" column="42" selection-start-line="126" selection-start-column="42" selection-end-line="126" selection-end-column="42" />
              <folding>
                <element signature="e#556#557#0" expanded="true" />
                <element signature="e#588#589#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Test/TestVariant1.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="400">
              <caret line="178" column="45" selection-start-line="178" selection-start-column="45" selection-end-line="178" selection-end-column="45" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#309#310#0" expanded="true" />
                <element signature="e#377#378#0" expanded="true" />
                <element signature="e#590#591#0" expanded="true" />
                <element signature="e#658#659#0" expanded="true" />
                <element signature="e#717#718#0" expanded="true" />
                <element signature="e#773#774#0" expanded="true" />
                <element signature="e#865#866#0" expanded="true" />
                <element signature="e#915#916#0" expanded="true" />
                <element signature="e#1058#1059#0" expanded="true" />
                <element signature="e#1129#1130#0" expanded="true" />
                <element signature="e#1190#1191#0" expanded="true" />
                <element signature="e#1256#1257#0" expanded="true" />
                <element signature="e#1350#1351#0" expanded="true" />
                <element signature="e#1403#1404#0" expanded="true" />
                <element signature="e#1538#1539#0" expanded="true" />
                <element signature="e#1597#1598#0" expanded="true" />
                <element signature="e#1653#1654#0" expanded="true" />
                <element signature="e#1716#1717#0" expanded="true" />
                <element signature="e#1867#1868#0" expanded="true" />
                <element signature="e#1931#1932#0" expanded="true" />
                <element signature="e#1992#1993#0" expanded="true" />
                <element signature="e#2065#2066#0" expanded="true" />
                <element signature="e#2218#2219#0" expanded="true" />
                <element signature="e#2281#2282#0" expanded="true" />
                <element signature="e#2341#2342#0" expanded="true" />
                <element signature="e#2414#2415#0" expanded="true" />
                <element signature="e#2544#2545#0" expanded="true" />
                <element signature="e#2589#2590#0" expanded="true" />
                <element signature="e#2691#2692#0" expanded="true" />
                <element signature="e#2755#2756#0" expanded="true" />
                <element signature="e#2852#2853#0" expanded="true" />
                <element signature="e#2928#2929#0" expanded="true" />
                <element signature="e#3092#3093#0" expanded="true" />
                <element signature="e#3155#3156#0" expanded="true" />
                <element signature="e#3214#3215#0" expanded="true" />
                <element signature="e#3300#3301#0" expanded="true" />
                <element signature="e#3444#3445#0" expanded="true" />
                <element signature="e#3490#3491#0" expanded="true" />
                <element signature="e#3575#3576#0" expanded="true" />
                <element signature="e#3630#3631#0" expanded="true" />
                <element signature="e#3768#3769#0" expanded="true" />
                <element signature="e#3836#3837#0" expanded="true" />
                <element signature="e#4962#4963#0" expanded="true" />
                <element signature="e#5024#5025#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="TestNG Test Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>arrayTest</find>
      <find>array</find>
      <find>negativeInte</find>
      <find>forTest</find>
      <find>for</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/lab/Variant1.java" />
        <option value="$PROJECT_DIR$/src/test/TestVariant1.java" />
        <option value="$PROJECT_DIR$/src/Test/TestVariant1Test.java" />
        <option value="$PROJECT_DIR$/src/Test/Variant1Test.java" />
        <option value="$PROJECT_DIR$/src/Test/TestVariant1.java" />
        <option value="$PROJECT_DIR$/src/lab0/Variant1.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="397" />
    <option name="y" value="26" />
    <option name="width" value="1943" />
    <option name="height" value="968" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Java University Labs" type="b2602c69:ProjectViewProjectNode" />
              <item name="Java University Labs" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Java University Labs" type="b2602c69:ProjectViewProjectNode" />
              <item name="Java University Labs" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Java University Labs" type="b2602c69:ProjectViewProjectNode" />
              <item name="Java University Labs" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="lab0" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Java University Labs" type="b2602c69:ProjectViewProjectNode" />
              <item name="Java University Labs" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="Test" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1536614801855" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="TestNG" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.TestNG" value="" />
    <property name="create.test.in.the.same.root" value="true" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.pathVariables" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="Test" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="TestNG.TestVariant1">
    <configuration name="Variant1" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="lab0.Variant1" />
      <module name="Java University Labs" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="lab0.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestVariant1" type="TestNG" factoryName="TestNG" temporary="true" nameIsGenerated="true">
      <module name="Java University Labs" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="Test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="Test" />
      <option name="MAIN_CLASS_NAME" value="Test.TestVariant1" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestVariant1.integerTaskTest" type="TestNG" factoryName="TestNG" temporary="true" nameIsGenerated="true">
      <module name="Java University Labs" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="Test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="Test" />
      <option name="MAIN_CLASS_NAME" value="Test.TestVariant1" />
      <option name="METHOD_NAME" value="integerTaskTest" />
      <option name="TEST_OBJECT" value="METHOD" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestVariant1.negativeInputTest" type="TestNG" factoryName="TestNG" temporary="true" nameIsGenerated="true">
      <module name="Java University Labs" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="Test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="Test" />
      <option name="MAIN_CLASS_NAME" value="Test.TestVariant1" />
      <option name="METHOD_NAME" value="negativeInputTest" />
      <option name="TEST_OBJECT" value="METHOD" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestVariant1.whileTest" type="TestNG" factoryName="TestNG" temporary="true" nameIsGenerated="true">
      <module name="Java University Labs" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="Test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="Test" />
      <option name="MAIN_CLASS_NAME" value="Test.TestVariant1" />
      <option name="METHOD_NAME" value="whileTest" />
      <option name="TEST_OBJECT" value="METHOD" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="TestNG.TestVariant1" />
      <item itemvalue="TestNG.TestVariant1.integerTaskTest" />
      <item itemvalue="TestNG.TestVariant1.negativeInputTest" />
      <item itemvalue="Application.Variant1" />
      <item itemvalue="TestNG.TestVariant1.whileTest" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="TestNG.TestVariant1" />
        <item itemvalue="Application.Variant1" />
        <item itemvalue="TestNG.TestVariant1.whileTest" />
        <item itemvalue="TestNG.TestVariant1.negativeInputTest" />
        <item itemvalue="TestNG.TestVariant1.integerTaskTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ba02eb0b-d82d-4d12-92e3-577f463ae18b" name="Default Changelist" comment="" />
      <created>1536155328984</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1536155328984</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="TestVariant1 - 2018.09.10 at 16h 19m 17s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 16h 19m 40s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 16h 30m 04s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 16h 54m 41s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 16h 57m 25s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 16h 59m 57s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 17h 01m 06s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.10 at 17h 03m 38s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.11 at 00h 21m 01s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
    <history-entry file="TestVariant1 - 2018.09.11 at 00h 21m 35s.xml">
      <configuration name="TestVariant1" configurationId="TestNG" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <layout>
      <window_info id="Designer" order="0" />
      <window_info id="UI Designer" order="1" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Favorites" order="3" sideWeight="0.5010571" side_tool="true" visible="true" weight="0.15100671" />
      <window_info id="Image Layers" order="4" />
      <window_info content_ui="combo" id="Project" order="5" sideWeight="0.4989429" visible="true" weight="0.15100671" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info active="true" anchor="bottom" id="Terminal" order="0" sideWeight="0.49932885" visible="true" weight="0.32907802" />
      <window_info anchor="bottom" id="Event Log" order="1" sideWeight="0.50067115" side_tool="true" visible="true" weight="0.32907802" />
      <window_info anchor="bottom" id="Messages" order="2" />
      <window_info anchor="bottom" id="Version Control" order="3" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="4" />
      <window_info anchor="bottom" id="Find" order="5" weight="0.32917318" />
      <window_info anchor="bottom" id="Run" order="6" sideWeight="0.88724834" weight="0.3815603" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="right" id="Capture Analysis" order="0" />
      <window_info anchor="right" id="Theme Preview" order="1" />
      <window_info anchor="right" id="Palette&#9;" order="2" />
      <window_info anchor="right" id="Maven Projects" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="5" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="6" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="7" weight="0.25" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/Test/TestVariant1.java</url>
          <line>38</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/Test/TestVariant1.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" lean-forward="true" selection-start-line="3" selection-end-line="3" />
          <folding>
            <element signature="e#323#324#0" expanded="true" />
            <element signature="e#391#392#0" expanded="true" />
            <element signature="e#604#605#0" expanded="true" />
            <element signature="e#672#673#0" expanded="true" />
            <element signature="e#731#732#0" expanded="true" />
            <element signature="e#787#788#0" expanded="true" />
            <element signature="e#879#880#0" expanded="true" />
            <element signature="e#929#930#0" expanded="true" />
            <element signature="e#1072#1073#0" expanded="true" />
            <element signature="e#1143#1144#0" expanded="true" />
            <element signature="e#1204#1205#0" expanded="true" />
            <element signature="e#1270#1271#0" expanded="true" />
            <element signature="e#1364#1365#0" expanded="true" />
            <element signature="e#1417#1418#0" expanded="true" />
            <element signature="e#1552#1553#0" expanded="true" />
            <element signature="e#1611#1612#0" expanded="true" />
            <element signature="e#1667#1668#0" expanded="true" />
            <element signature="e#1730#1731#0" expanded="true" />
            <element signature="e#1881#1882#0" expanded="true" />
            <element signature="e#1945#1946#0" expanded="true" />
            <element signature="e#2006#2007#0" expanded="true" />
            <element signature="e#2079#2080#0" expanded="true" />
            <element signature="e#2232#2233#0" expanded="true" />
            <element signature="e#2295#2296#0" expanded="true" />
            <element signature="e#2355#2356#0" expanded="true" />
            <element signature="e#2428#2429#0" expanded="true" />
            <element signature="e#2521#2522#0" expanded="true" />
            <element signature="e#2563#2564#0" expanded="true" />
            <element signature="e#2705#2706#0" expanded="true" />
            <element signature="e#2769#2770#0" expanded="true" />
            <element signature="e#2826#2827#0" expanded="true" />
            <element signature="e#2909#2910#0" expanded="true" />
            <element signature="e#3106#3107#0" expanded="true" />
            <element signature="e#3169#3170#0" expanded="true" />
            <element signature="e#3228#3229#0" expanded="true" />
            <element signature="e#3314#3315#0" expanded="true" />
            <element signature="e#3458#3459#0" expanded="true" />
            <element signature="e#3504#3505#0" expanded="true" />
            <element signature="e#3571#3572#0" expanded="true" />
            <element signature="e#3634#3635#0" expanded="true" />
            <element signature="e#3782#3783#0" expanded="true" />
            <element signature="e#3850#3851#0" expanded="true" />
            <element signature="e#4976#4977#0" expanded="true" />
            <element signature="e#5038#5039#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Test/TestVariant1Test.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="27" lean-forward="true" selection-start-line="2" selection-start-column="27" selection-end-line="2" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/com/company/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Test/TestVariant1.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="178" column="45" selection-start-line="178" selection-start-column="45" selection-end-line="178" selection-end-column="45" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#309#310#0" expanded="true" />
            <element signature="e#377#378#0" expanded="true" />
            <element signature="e#590#591#0" expanded="true" />
            <element signature="e#658#659#0" expanded="true" />
            <element signature="e#717#718#0" expanded="true" />
            <element signature="e#773#774#0" expanded="true" />
            <element signature="e#865#866#0" expanded="true" />
            <element signature="e#915#916#0" expanded="true" />
            <element signature="e#1058#1059#0" expanded="true" />
            <element signature="e#1129#1130#0" expanded="true" />
            <element signature="e#1190#1191#0" expanded="true" />
            <element signature="e#1256#1257#0" expanded="true" />
            <element signature="e#1350#1351#0" expanded="true" />
            <element signature="e#1403#1404#0" expanded="true" />
            <element signature="e#1538#1539#0" expanded="true" />
            <element signature="e#1597#1598#0" expanded="true" />
            <element signature="e#1653#1654#0" expanded="true" />
            <element signature="e#1716#1717#0" expanded="true" />
            <element signature="e#1867#1868#0" expanded="true" />
            <element signature="e#1931#1932#0" expanded="true" />
            <element signature="e#1992#1993#0" expanded="true" />
            <element signature="e#2065#2066#0" expanded="true" />
            <element signature="e#2218#2219#0" expanded="true" />
            <element signature="e#2281#2282#0" expanded="true" />
            <element signature="e#2341#2342#0" expanded="true" />
            <element signature="e#2414#2415#0" expanded="true" />
            <element signature="e#2544#2545#0" expanded="true" />
            <element signature="e#2589#2590#0" expanded="true" />
            <element signature="e#2691#2692#0" expanded="true" />
            <element signature="e#2755#2756#0" expanded="true" />
            <element signature="e#2852#2853#0" expanded="true" />
            <element signature="e#2928#2929#0" expanded="true" />
            <element signature="e#3092#3093#0" expanded="true" />
            <element signature="e#3155#3156#0" expanded="true" />
            <element signature="e#3214#3215#0" expanded="true" />
            <element signature="e#3300#3301#0" expanded="true" />
            <element signature="e#3444#3445#0" expanded="true" />
            <element signature="e#3490#3491#0" expanded="true" />
            <element signature="e#3575#3576#0" expanded="true" />
            <element signature="e#3630#3631#0" expanded="true" />
            <element signature="e#3768#3769#0" expanded="true" />
            <element signature="e#3836#3837#0" expanded="true" />
            <element signature="e#4962#4963#0" expanded="true" />
            <element signature="e#5024#5025#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/lab0/Variant1.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="48">
          <caret line="126" column="42" selection-start-line="126" selection-start-column="42" selection-end-line="126" selection-end-column="42" />
          <folding>
            <element signature="e#556#557#0" expanded="true" />
            <element signature="e#588#589#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>Java University Labs</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>